#ifndef SETTINGS_H_
#define SETTINGS_H_


#define DEFAULT_PARAM_SET_FILE	"gcp.set"
#define DEFAULT_NR_TRIAL 1
#define DEFAULT_TOT_MAX_ITER LONG_MAX
#define DEFAULT_MAX_IDLE	LONG_MAX
#define DEFAULT_TIME_LIMIT REAL_MAX
#define DEFAULT_SOLVER	CONSTRUCTION_HEUR
#define DEFAULT_RUNNER TABUCOL
#define DEFAULT_CHEUR_INIT	RLF
#define DEFAULT_CHEUR_DECR	RANDOM
#define DEFAULT_INIT_K	COLOR_MAX
#define DEFAULT_FINAL_K	0
#define DEFAULT_LS_ITER	LLONG_MAX
#define DEFAULT_TL_TYPE	TL_ADAPTIVE
#define DEFAULT_INV_TYPE	INV_OLD
#define DEFAULT_ALPHA	0.6
#define DEFAULT_TL	10
#define DEFAULT_TL1	0
#define DEFAULT_TL2	0
#define DEFAULT_LOWER_BOUND	0
#define DEFAULT_MAX_RESTARTS	1

#define DEFAULT_PRINT_STATISTICS	FALSE
#define DEFAULT_PREPROCESSING	FALSE
#define DEFAULT_FORCE_IF_DISCONNECTED FALSE
#define DEFAULT_PRINT_CERTIFICATE	FALSE

//SA
#define DEFAULT_SA_TEMPERATURE 10
#define DEFAULT_SA_FREEZE_LIM 5
#define DEFAULT_SA_CUTOFF	0.1
#define DEFAULT_SA_MINPERCENT	0.02
#define DEFAULT_SA_TEMPFACTOR	-1
#define DEFAULT_SA_SIZEFACTOR	-1
//GLS
#define DEFAULT_GLS_LAMBDA	0
#define DEFAULT_GLS_SIDEWALKS	0
//ILS
#define DEFAULT_ILS_PERTURB	0
#define DEFAULT_ILS_GAMMA	0
#define DEFAULT_ILS_ILSPROB	1
//NOV
#define DEFAULT_NOV_PROB	0

//XRLF
#define DEFAULT_EXACT_LIM	55
#define DEFAULT_SET_LIM		63
#define DEFAULT_CAND_NUM	50
#define DEFAULT_TRIAL_NUM	30
#endif /*SETTINGS_H_*/




