/* This file has been generated with opag 0.8.1.  */
#include <iostream>
#include <sstream>
#include <stdexcept>
#include "Control.h"

using namespace std;
using std::ostringstream; using std::string;



#ifndef STR_ERR_UNKNOWN_LONG_OPT
# define STR_ERR_UNKNOWN_LONG_OPT \
  ::std::string ("unrecognized option `--").append (option).append (1, '\'')
#endif

#ifndef STR_ERR_LONG_OPT_AMBIGUOUS
# define STR_ERR_LONG_OPT_AMBIGUOUS \
  ::std::string ("option `--").append (option).append ("' is ambiguous")
#endif

#ifndef STR_ERR_MISSING_ARG_LONG
# define STR_ERR_MISSING_ARG_LONG \
  ::std::string ("option `--").append (option).append ("' requires an argument")
#endif

#ifndef STR_ERR_UNEXPEC_ARG_LONG
# define STR_ERR_UNEXPEC_ARG_LONG \
  ::std::string ("option `--").append (option).append ("' doesn't allow an argument")
#endif

#ifndef STR_ERR_UNKNOWN_SHORT_OPT
# define STR_ERR_UNKNOWN_SHORT_OPT \
  ::std::string ("unrecognized option `-").append (1, *option).append (1, '\'')
#endif

#ifndef STR_ERR_MISSING_ARG_SHORT
# define STR_ERR_MISSING_ARG_SHORT \
  ::std::string ("option `-").append (1, *option).append ("' requires an argument")
#endif

#define STR_HELP_CONFIG "\
  -c, --config[ARG]        containing parameter setting. Default gcp.set.\n"

#define STR_HELP_FILE "\
  -i, --file ARG           inputfile (DIMACS format necessary)\n"

#define STR_HELP_OUT "\
  -o, --out ARG            outputfile \n"

#define STR_HELP_NUM "\
  -n, --num ARG            number of tests\n"

#define STR_HELP_TIME "\
  -t, --time ARG           maximum time\n"

#define STR_HELP_MAX "\
  -m, --max ARG            number of iterations for each trial (optarg)\n"

#define STR_HELP_IDLE "\
      --idle ARG           number of idle iterations before giving up (optarg)\n"

#define STR_HELP_SEED "\
  -s, --seed ARG           seed\n"

#define STR_HELP_INIT "\
      --init ARG           way of initializing a solution: \n"

#define STR_HELP_RUNNER "\
  -r, --runner ARG         the runner\n"

#define STR_HELP_SOLVER "\
      --solver ARG         Solver: \n"

#define STR_HELP_TEST "\
      --test[ARG]          run test version (1) or not (0, default) (optarg)\n"

#define STR_HELP_STAT "\
      --stat[ARG]          prints instance statistics and preprocess (optarg)\n"

#define STR_HELP_RED "\
      --red[ARG]           apply preprocess with graph reduction (optarg)\n"

#define STR_HELP_FORCE "\
      --force[ARG]         force to solve if graph is disconnected (optarg)\n"

#define STR_HELP_CERTIFICATE "\
      --certificate ARG    file where to write the solution\n"

#define STR_HELP_FILESTART "\
  -f, --filestart ARG      name of the file where a starting solution is\n\
                             recorded.\n"

#define STR_HELP_INITK "\
  -k, --initk ARG          initial coloring\n"

#define STR_HELP_FINALK "\
  -K, --finalk ARG         final coloring\n"

#define STR_HELP_LOWERBOUND "\
      --lowerbound ARG     best lower bound known. It improves preprocessing\n"

#define STR_HELP_DECR "\
      --decr ARG           method to decrease colors\n"

#define STR_HELP_TLTYPE "\
      --tltype ARG         type of tabu length for tabu search \n"

#define STR_HELP_INVTYPE "\
      --invtype ARG        type of inverse move for tabu search \n"

#define STR_HELP_ALPHA "\
      --alpha ARG          alpha parameter for adaptive tabu length\n"

#define STR_HELP_TL "\
      --tl ARG             fixed tabu lenght \n"

#define STR_HELP_TL1 "\
      --tl1 ARG            random min tabu lenght \n"

#define STR_HELP_TL2 "\
      --tl2 ARG            random max tabu lenght \n"

#define STR_HELP_RESTART "\
      --restart ARG        # of restart for Sovler 0\n"

#define STR_HELP_LSITER "\
      --lsiter ARG         used if solver [4,5] to limit its iterations\n"

#define STR_HELP_LAMBDA "\
      --lambda ARG         factor to weight the influence of penalties in GLS\n"

#define STR_HELP_SIDEWALKS "\
      --sidewalks ARG      number of sidewalks moves in guided local search \n"

#define STR_HELP_PERT "\
      --pert ARG           which perturbation to use: 0 sequential, 1 dsatur,\n\
                             2 rebuild\n"

#define STR_HELP_GAMMA "\
      --gamma ARG          factor to determine the number of colors to remove\n\
                             in ILS\n"

#define STR_HELP_ILSPROB "\
      --ilsprob ARG        acceptance criterion in ILS (0=Random Walk\n\
                             1=AlwaysBest)\n"

#define STR_HELP_PROB "\
      --prob ARG           probility p in Novelty+\n"

#define STR_HELP_SETLIM "\
      --setlim ARG         size of graph to do exhaustive search for indep\n\
                             sets in XRLF \n"

#define STR_HELP_CANDNUM "\
      --candnum ARG        number of candiates to sample in XRLF \n"

#define STR_HELP_TRIALNUM "\
      --trialnum ARG       number of RLF trials in XRLF \n"

#define STR_HELP_EXACTLIM "\
      --exactlim ARG       size of graph to be solved exactly in XRLF \n"

#define STR_HELP_TEMPERATURE "\
      --temperature ARG    for SA\n"

#define STR_HELP_CUTOFF "\
      --cutoff ARG         for SA\n"

#define STR_HELP_MINPERCENT "\
      --minpercent ARG     for SA\n"

#define STR_HELP_FREEZELIM "\
      --freezelim ARG      for SA\n"

#define STR_HELP_TEMPFACTOR "\
      --tempfactor ARG     for SA\n"

#define STR_HELP_SIZEFACTOR "\
      --sizefactor ARG     for SA\n"

#define STR_HELP_HELP "\
  -h, --help               prints help information\n"

#define STR_HELP_PARAMETERS "\
  -p, --parameters[ARG]    prints parameter information in std output or a\n\
                             file given as argument\n"

#define STR_HELP_MOREHELP "\
      --morehelp           prints some more help information\n"

#define STR_HELP_SAHELP "\
      --sahelp             prints some more on sa help information\n"

#define STR_HELP "\
  -c, --config[ARG]        containing parameter setting. Default gcp.set.\n\
  -i, --file ARG           inputfile (DIMACS format necessary)\n\
  -o, --out ARG            outputfile \n\
  -n, --num ARG            number of tests\n\
  -t, --time ARG           maximum time\n\
  -m, --max ARG            number of iterations for each trial (optarg)\n\
      --idle ARG           number of idle iterations before giving up (optarg)\n\
  -s, --seed ARG           seed\n\
      --init ARG           way of initializing a solution: \n\
  -r, --runner ARG         the runner\n\
      --solver ARG         Solver: \n\
      --test[ARG]          run test version (1) or not (0, default) (optarg)\n\
      --stat[ARG]          prints instance statistics and preprocess (optarg)\n\
      --red[ARG]           apply preprocess with graph reduction (optarg)\n\
      --force[ARG]         force to solve if graph is disconnected (optarg)\n\
      --certificate ARG    file where to write the solution\n\
  -f, --filestart ARG      name of the file where a starting solution is\n\
                             recorded.\n\
  -k, --initk ARG          initial coloring\n\
  -K, --finalk ARG         final coloring\n\
      --lowerbound ARG     best lower bound known. It improves preprocessing\n\
      --decr ARG           method to decrease colors\n\
      --tltype ARG         type of tabu length for tabu search \n\
      --invtype ARG        type of inverse move for tabu search \n\
      --alpha ARG          alpha parameter for adaptive tabu length\n\
      --tl ARG             fixed tabu lenght \n\
      --tl1 ARG            random min tabu lenght \n\
      --tl2 ARG            random max tabu lenght \n\
      --restart ARG        # of restart for Sovler 0\n\
      --lsiter ARG         used if solver [4,5] to limit its iterations\n\
      --lambda ARG         factor to weight the influence of penalties in GLS\n\
      --sidewalks ARG      number of sidewalks moves in guided local search \n\
      --pert ARG           which perturbation to use: 0 sequential, 1 dsatur,\n\
                             2 rebuild\n\
      --gamma ARG          factor to determine the number of colors to remove\n\
                             in ILS\n\
      --ilsprob ARG        acceptance criterion in ILS (0=Random Walk\n\
                             1=AlwaysBest)\n\
      --prob ARG           probility p in Novelty+\n\
      --setlim ARG         size of graph to do exhaustive search for indep\n\
                             sets in XRLF \n\
      --candnum ARG        number of candiates to sample in XRLF \n\
      --trialnum ARG       number of RLF trials in XRLF \n\
      --exactlim ARG       size of graph to be solved exactly in XRLF \n\
      --temperature ARG    for SA\n\
      --cutoff ARG         for SA\n\
      --minpercent ARG     for SA\n\
      --freezelim ARG      for SA\n\
      --tempfactor ARG     for SA\n\
      --sizefactor ARG     for SA\n\
  -h, --help               prints help information\n\
  -p, --parameters[ARG]    prints parameter information in std output or a\n\
                             file given as argument\n\
      --morehelp           prints some more help information\n\
      --sahelp             prints some more on sa help information\n"

struct options {

/* Set to 1 if option --config (-c) has been specified.  */
unsigned int opt_config : 1;

/* Set to 1 if option --file (-i) has been specified.  */
unsigned int opt_file : 1;

/* Set to 1 if option --out (-o) has been specified.  */
unsigned int opt_out : 1;

/* Set to 1 if option --num (-n) has been specified.  */
unsigned int opt_num : 1;

/* Set to 1 if option --time (-t) has been specified.  */
unsigned int opt_time : 1;

/* Set to 1 if option --max (-m) has been specified.  */
unsigned int opt_max : 1;

/* Set to 1 if option --idle has been specified.  */
unsigned int opt_idle : 1;

/* Set to 1 if option --seed (-s) has been specified.  */
unsigned int opt_seed : 1;

/* Set to 1 if option --init has been specified.  */
unsigned int opt_init : 1;

/* Set to 1 if option --runner (-r) has been specified.  */
unsigned int opt_runner : 1;

/* Set to 1 if option --solver has been specified.  */
unsigned int opt_solver : 1;

/* Set to 1 if option --test has been specified.  */
unsigned int opt_test : 1;

/* Set to 1 if option --stat has been specified.  */
unsigned int opt_stat : 1;

/* Set to 1 if option --red has been specified.  */
unsigned int opt_red : 1;

/* Set to 1 if option --force has been specified.  */
unsigned int opt_force : 1;

/* Set to 1 if option --certificate has been specified.  */
unsigned int opt_certificate : 1;

/* Set to 1 if option --filestart (-f) has been specified.  */
unsigned int opt_filestart : 1;

/* Set to 1 if option --initk (-k) has been specified.  */
unsigned int opt_initk : 1;

/* Set to 1 if option --finalk (-K) has been specified.  */
unsigned int opt_finalk : 1;

/* Set to 1 if option --lowerbound has been specified.  */
unsigned int opt_lowerbound : 1;

/* Set to 1 if option --decr has been specified.  */
unsigned int opt_decr : 1;

/* Set to 1 if option --tltype has been specified.  */
unsigned int opt_tltype : 1;

/* Set to 1 if option --invtype has been specified.  */
unsigned int opt_invtype : 1;

/* Set to 1 if option --alpha has been specified.  */
unsigned int opt_alpha : 1;

/* Set to 1 if option --tl has been specified.  */
unsigned int opt_tl : 1;

/* Set to 1 if option --tl1 has been specified.  */
unsigned int opt_tl1 : 1;

/* Set to 1 if option --tl2 has been specified.  */
unsigned int opt_tl2 : 1;

/* Set to 1 if option --restart has been specified.  */
unsigned int opt_restart : 1;

/* Set to 1 if option --lsiter has been specified.  */
unsigned int opt_lsiter : 1;

/* Set to 1 if option --lambda has been specified.  */
unsigned int opt_lambda : 1;

/* Set to 1 if option --sidewalks has been specified.  */
unsigned int opt_sidewalks : 1;

/* Set to 1 if option --pert has been specified.  */
unsigned int opt_pert : 1;

/* Set to 1 if option --gamma has been specified.  */
unsigned int opt_gamma : 1;

/* Set to 1 if option --ilsprob has been specified.  */
unsigned int opt_ilsprob : 1;

/* Set to 1 if option --prob has been specified.  */
unsigned int opt_prob : 1;

/* Set to 1 if option --setlim has been specified.  */
unsigned int opt_setlim : 1;

/* Set to 1 if option --candnum has been specified.  */
unsigned int opt_candnum : 1;

/* Set to 1 if option --trialnum has been specified.  */
unsigned int opt_trialnum : 1;

/* Set to 1 if option --exactlim has been specified.  */
unsigned int opt_exactlim : 1;

/* Set to 1 if option --temperature has been specified.  */
unsigned int opt_temperature : 1;

/* Set to 1 if option --cutoff has been specified.  */
unsigned int opt_cutoff : 1;

/* Set to 1 if option --minpercent has been specified.  */
unsigned int opt_minpercent : 1;

/* Set to 1 if option --freezelim has been specified.  */
unsigned int opt_freezelim : 1;

/* Set to 1 if option --tempfactor has been specified.  */
unsigned int opt_tempfactor : 1;

/* Set to 1 if option --sizefactor has been specified.  */
unsigned int opt_sizefactor : 1;

/* Set to 1 if option --help (-h) has been specified.  */
unsigned int opt_help : 1;

/* Set to 1 if option --parameters (-p) has been specified.  */
unsigned int opt_parameters : 1;

/* Set to 1 if option --morehelp has been specified.  */
unsigned int opt_morehelp : 1;

/* Set to 1 if option --sahelp has been specified.  */
unsigned int opt_sahelp : 1;

/* Argument to option --config (-c), or a null pointer if no argument.  */
const char *arg_config;

/* Argument to option --file (-i).  */
const char *arg_file;

/* Argument to option --out (-o).  */
const char *arg_out;

/* Argument to option --num (-n).  */
const char *arg_num;

/* Argument to option --time (-t).  */
const char *arg_time;

/* Argument to option --max (-m).  */
const char *arg_max;

/* Argument to option --idle.  */
const char *arg_idle;

/* Argument to option --seed (-s).  */
const char *arg_seed;

/* Argument to option --init.  */
const char *arg_init;

/* Argument to option --runner (-r).  */
const char *arg_runner;

/* Argument to option --solver.  */
const char *arg_solver;

/* Argument to option --test, or a null pointer if no argument.  */
const char *arg_test;

/* Argument to option --stat, or a null pointer if no argument.  */
const char *arg_stat;

/* Argument to option --red, or a null pointer if no argument.  */
const char *arg_red;

/* Argument to option --force, or a null pointer if no argument.  */
const char *arg_force;

/* Argument to option --certificate.  */
const char *arg_certificate;

/* Argument to option --filestart (-f).  */
const char *arg_filestart;

/* Argument to option --initk (-k).  */
const char *arg_initk;

/* Argument to option --finalk (-K).  */
const char *arg_finalk;

/* Argument to option --lowerbound.  */
const char *arg_lowerbound;

/* Argument to option --decr.  */
const char *arg_decr;

/* Argument to option --tltype.  */
const char *arg_tltype;

/* Argument to option --invtype.  */
const char *arg_invtype;

/* Argument to option --alpha.  */
const char *arg_alpha;

/* Argument to option --tl.  */
const char *arg_tl;

/* Argument to option --tl1.  */
const char *arg_tl1;

/* Argument to option --tl2.  */
const char *arg_tl2;

/* Argument to option --restart.  */
const char *arg_restart;

/* Argument to option --lsiter.  */
const char *arg_lsiter;

/* Argument to option --lambda.  */
const char *arg_lambda;

/* Argument to option --sidewalks.  */
const char *arg_sidewalks;

/* Argument to option --pert.  */
const char *arg_pert;

/* Argument to option --gamma.  */
const char *arg_gamma;

/* Argument to option --ilsprob.  */
const char *arg_ilsprob;

/* Argument to option --prob.  */
const char *arg_prob;

/* Argument to option --setlim.  */
const char *arg_setlim;

/* Argument to option --candnum.  */
const char *arg_candnum;

/* Argument to option --trialnum.  */
const char *arg_trialnum;

/* Argument to option --exactlim.  */
const char *arg_exactlim;

/* Argument to option --temperature.  */
const char *arg_temperature;

/* Argument to option --cutoff.  */
const char *arg_cutoff;

/* Argument to option --minpercent.  */
const char *arg_minpercent;

/* Argument to option --freezelim.  */
const char *arg_freezelim;

/* Argument to option --tempfactor.  */
const char *arg_tempfactor;

/* Argument to option --sizefactor.  */
const char *arg_sizefactor;

/* Argument to option --parameters (-p), or a null pointer if no argument.  */
const char *arg_parameters;

};

/* Parse command line options.  Return index of first non-option argument.
   Throw a ::std::runtime_error exception if an error is encountered.  */
int parse_options (options *const options, const int argc, char **const argv)
{
  static const char *const optstr__file = "file";
  static const char *const optstr__out = "out";
  static const char *const optstr__num = "num";
  static const char *const optstr__time = "time";
  static const char *const optstr__max = "max";
  static const char *const optstr__idle = "idle";
  static const char *const optstr__seed = "seed";
  static const char *const optstr__init = "init";
  static const char *const optstr__runner = "runner";
  static const char *const optstr__solver = "solver";
  static const char *const optstr__certificate = "certificate";
  static const char *const optstr__filestart = "filestart";
  static const char *const optstr__initk = "initk";
  static const char *const optstr__finalk = "finalk";
  static const char *const optstr__lowerbound = "lowerbound";
  static const char *const optstr__decr = "decr";
  static const char *const optstr__tltype = "tltype";
  static const char *const optstr__invtype = "invtype";
  static const char *const optstr__alpha = "alpha";
  static const char *const optstr__tl = "tl";
  static const char *const optstr__tl1 = "tl1";
  static const char *const optstr__tl2 = "tl2";
  static const char *const optstr__restart = "restart";
  static const char *const optstr__lsiter = "lsiter";
  static const char *const optstr__lambda = "lambda";
  static const char *const optstr__sidewalks = "sidewalks";
  static const char *const optstr__pert = "pert";
  static const char *const optstr__gamma = "gamma";
  static const char *const optstr__ilsprob = "ilsprob";
  static const char *const optstr__prob = "prob";
  static const char *const optstr__setlim = "setlim";
  static const char *const optstr__candnum = "candnum";
  static const char *const optstr__trialnum = "trialnum";
  static const char *const optstr__exactlim = "exactlim";
  static const char *const optstr__temperature = "temperature";
  static const char *const optstr__cutoff = "cutoff";
  static const char *const optstr__minpercent = "minpercent";
  static const char *const optstr__freezelim = "freezelim";
  static const char *const optstr__tempfactor = "tempfactor";
  static const char *const optstr__sizefactor = "sizefactor";
  static const char *const optstr__help = "help";
  static const char *const optstr__morehelp = "morehelp";
  static const char *const optstr__sahelp = "sahelp";
  int i = 0;
  options->opt_config = 0;
  options->opt_file = 0;
  options->opt_out = 0;
  options->opt_num = 0;
  options->opt_time = 0;
  options->opt_max = 0;
  options->opt_idle = 0;
  options->opt_seed = 0;
  options->opt_init = 0;
  options->opt_runner = 0;
  options->opt_solver = 0;
  options->opt_test = 0;
  options->opt_stat = 0;
  options->opt_red = 0;
  options->opt_force = 0;
  options->opt_certificate = 0;
  options->opt_filestart = 0;
  options->opt_initk = 0;
  options->opt_finalk = 0;
  options->opt_lowerbound = 0;
  options->opt_decr = 0;
  options->opt_tltype = 0;
  options->opt_invtype = 0;
  options->opt_alpha = 0;
  options->opt_tl = 0;
  options->opt_tl1 = 0;
  options->opt_tl2 = 0;
  options->opt_restart = 0;
  options->opt_lsiter = 0;
  options->opt_lambda = 0;
  options->opt_sidewalks = 0;
  options->opt_pert = 0;
  options->opt_gamma = 0;
  options->opt_ilsprob = 0;
  options->opt_prob = 0;
  options->opt_setlim = 0;
  options->opt_candnum = 0;
  options->opt_trialnum = 0;
  options->opt_exactlim = 0;
  options->opt_temperature = 0;
  options->opt_cutoff = 0;
  options->opt_minpercent = 0;
  options->opt_freezelim = 0;
  options->opt_tempfactor = 0;
  options->opt_sizefactor = 0;
  options->opt_help = 0;
  options->opt_parameters = 0;
  options->opt_morehelp = 0;
  options->opt_sahelp = 0;
  options->arg_config = 0;
  options->arg_file = 0;
  options->arg_out = 0;
  options->arg_num = 0;
  options->arg_time = 0;
  options->arg_max = 0;
  options->arg_idle = 0;
  options->arg_seed = 0;
  options->arg_init = 0;
  options->arg_runner = 0;
  options->arg_solver = 0;
  options->arg_test = 0;
  options->arg_stat = 0;
  options->arg_red = 0;
  options->arg_force = 0;
  options->arg_certificate = 0;
  options->arg_filestart = 0;
  options->arg_initk = 0;
  options->arg_finalk = 0;
  options->arg_lowerbound = 0;
  options->arg_decr = 0;
  options->arg_tltype = 0;
  options->arg_invtype = 0;
  options->arg_alpha = 0;
  options->arg_tl = 0;
  options->arg_tl1 = 0;
  options->arg_tl2 = 0;
  options->arg_restart = 0;
  options->arg_lsiter = 0;
  options->arg_lambda = 0;
  options->arg_sidewalks = 0;
  options->arg_pert = 0;
  options->arg_gamma = 0;
  options->arg_ilsprob = 0;
  options->arg_prob = 0;
  options->arg_setlim = 0;
  options->arg_candnum = 0;
  options->arg_trialnum = 0;
  options->arg_exactlim = 0;
  options->arg_temperature = 0;
  options->arg_cutoff = 0;
  options->arg_minpercent = 0;
  options->arg_freezelim = 0;
  options->arg_tempfactor = 0;
  options->arg_sizefactor = 0;
  options->arg_parameters = 0;
  while (++i < argc)
  {
    const char *option = argv [i];
    if (*option != '-')
      return i;
    else if (*++option == '\0')
      return i;
    else if (*option == '-')
    {
      const char *argument;
      ::std::size_t option_len;
      ++option;
      if ((argument = ::std::strchr (option, '=')) == option)
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
      else if (argument == 0)
        option_len = ::std::strlen (option);
      else
        option_len = argument++ - option;
      switch (*option)
      {
       case '\0':
        return i + 1;
       case 'a':
        if (::std::strncmp (option + 1, optstr__alpha + 1, option_len - 1) == 0)
        {
          if (argument != 0)
            options->arg_alpha = argument;
          else if (++i < argc)
            options->arg_alpha = argv [i];
          else
          {
            option = optstr__alpha;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_alpha = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'c':
        if (::std::strncmp (option + 1, optstr__candnum + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_candnum = argument;
          else if (++i < argc)
            options->arg_candnum = argv [i];
          else
          {
            option = optstr__candnum;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_candnum = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__certificate + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_certificate = argument;
          else if (++i < argc)
            options->arg_certificate = argv [i];
          else
          {
            option = optstr__certificate;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_certificate = 1;
          break;
        }
        if (::std::strncmp (option + 1, "onfig", option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          options->arg_config = argument;
          options->opt_config = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__cutoff + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_cutoff = argument;
          else if (++i < argc)
            options->arg_cutoff = argv [i];
          else
          {
            option = optstr__cutoff;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_cutoff = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'd':
        if (::std::strncmp (option + 1, optstr__decr + 1, option_len - 1) == 0)
        {
          if (argument != 0)
            options->arg_decr = argument;
          else if (++i < argc)
            options->arg_decr = argv [i];
          else
          {
            option = optstr__decr;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_decr = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'e':
        if (::std::strncmp (option + 1, optstr__exactlim + 1, option_len - 1) == 0)
        {
          if (argument != 0)
            options->arg_exactlim = argument;
          else if (++i < argc)
            options->arg_exactlim = argv [i];
          else
          {
            option = optstr__exactlim;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_exactlim = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'f':
        if (::std::strncmp (option + 1, optstr__file + 1, option_len - 1) == 0)
        {
          if (option_len < 4)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_file = argument;
          else if (++i < argc)
            options->arg_file = argv [i];
          else
          {
            option = optstr__file;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_file = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__filestart + 1, option_len - 1) == 0)
        {
          if (option_len <= 4)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_filestart = argument;
          else if (++i < argc)
            options->arg_filestart = argv [i];
          else
          {
            option = optstr__filestart;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_filestart = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__finalk + 1, option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_finalk = argument;
          else if (++i < argc)
            options->arg_finalk = argv [i];
          else
          {
            option = optstr__finalk;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_finalk = 1;
          break;
        }
        if (::std::strncmp (option + 1, "orce", option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          options->arg_force = argument;
          options->opt_force = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__freezelim + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_freezelim = argument;
          else if (++i < argc)
            options->arg_freezelim = argv [i];
          else
          {
            option = optstr__freezelim;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_freezelim = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'g':
        if (::std::strncmp (option + 1, optstr__gamma + 1, option_len - 1) == 0)
        {
          if (argument != 0)
            options->arg_gamma = argument;
          else if (++i < argc)
            options->arg_gamma = argv [i];
          else
          {
            option = optstr__gamma;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_gamma = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'h':
        if (::std::strncmp (option + 1, optstr__help + 1, option_len - 1) == 0)
        {
          if (argument != 0)
          {
            option = optstr__help;
            throw ::std::runtime_error (STR_ERR_UNEXPEC_ARG_LONG);
          }
          options->opt_help = 1;
          return i + 1;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'i':
        if (::std::strncmp (option + 1, optstr__idle + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_idle = argument;
          else if (++i < argc)
            options->arg_idle = argv [i];
          else
          {
            option = optstr__idle;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_idle = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__ilsprob + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_ilsprob = argument;
          else if (++i < argc)
            options->arg_ilsprob = argv [i];
          else
          {
            option = optstr__ilsprob;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_ilsprob = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__init + 1, option_len - 1) == 0)
        {
          if (option_len < 4)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_init = argument;
          else if (++i < argc)
            options->arg_init = argv [i];
          else
          {
            option = optstr__init;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_init = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__initk + 1, option_len - 1) == 0)
        {
          if (option_len <= 4)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_initk = argument;
          else if (++i < argc)
            options->arg_initk = argv [i];
          else
          {
            option = optstr__initk;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_initk = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__invtype + 1, option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_invtype = argument;
          else if (++i < argc)
            options->arg_invtype = argv [i];
          else
          {
            option = optstr__invtype;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_invtype = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'l':
        if (::std::strncmp (option + 1, optstr__lambda + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_lambda = argument;
          else if (++i < argc)
            options->arg_lambda = argv [i];
          else
          {
            option = optstr__lambda;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_lambda = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__lowerbound + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_lowerbound = argument;
          else if (++i < argc)
            options->arg_lowerbound = argv [i];
          else
          {
            option = optstr__lowerbound;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_lowerbound = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__lsiter + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_lsiter = argument;
          else if (++i < argc)
            options->arg_lsiter = argv [i];
          else
          {
            option = optstr__lsiter;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_lsiter = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'm':
        if (::std::strncmp (option + 1, optstr__max + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_max = argument;
          else if (++i < argc)
            options->arg_max = argv [i];
          else
          {
            option = optstr__max;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_max = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__minpercent + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_minpercent = argument;
          else if (++i < argc)
            options->arg_minpercent = argv [i];
          else
          {
            option = optstr__minpercent;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_minpercent = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__morehelp + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
          {
            option = optstr__morehelp;
            throw ::std::runtime_error (STR_ERR_UNEXPEC_ARG_LONG);
          }
          options->opt_morehelp = 1;
          return i + 1;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'n':
        if (::std::strncmp (option + 1, optstr__num + 1, option_len - 1) == 0)
        {
          if (argument != 0)
            options->arg_num = argument;
          else if (++i < argc)
            options->arg_num = argv [i];
          else
          {
            option = optstr__num;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_num = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'o':
        if (::std::strncmp (option + 1, optstr__out + 1, option_len - 1) == 0)
        {
          if (argument != 0)
            options->arg_out = argument;
          else if (++i < argc)
            options->arg_out = argv [i];
          else
          {
            option = optstr__out;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_out = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'p':
        if (::std::strncmp (option + 1, "arameters", option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          options->arg_parameters = argument;
          options->opt_parameters = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__pert + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_pert = argument;
          else if (++i < argc)
            options->arg_pert = argv [i];
          else
          {
            option = optstr__pert;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_pert = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__prob + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_prob = argument;
          else if (++i < argc)
            options->arg_prob = argv [i];
          else
          {
            option = optstr__prob;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_prob = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 'r':
        if (::std::strncmp (option + 1, "ed", option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          options->arg_red = argument;
          options->opt_red = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__restart + 1, option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_restart = argument;
          else if (++i < argc)
            options->arg_restart = argv [i];
          else
          {
            option = optstr__restart;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_restart = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__runner + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_runner = argument;
          else if (++i < argc)
            options->arg_runner = argv [i];
          else
          {
            option = optstr__runner;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_runner = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 's':
        if (::std::strncmp (option + 1, optstr__sahelp + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
          {
            option = optstr__sahelp;
            throw ::std::runtime_error (STR_ERR_UNEXPEC_ARG_LONG);
          }
          options->opt_sahelp = 1;
          return i + 1;
        }
        if (::std::strncmp (option + 1, optstr__seed + 1, option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_seed = argument;
          else if (++i < argc)
            options->arg_seed = argv [i];
          else
          {
            option = optstr__seed;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_seed = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__setlim + 1, option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_setlim = argument;
          else if (++i < argc)
            options->arg_setlim = argv [i];
          else
          {
            option = optstr__setlim;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_setlim = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__sidewalks + 1, option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_sidewalks = argument;
          else if (++i < argc)
            options->arg_sidewalks = argv [i];
          else
          {
            option = optstr__sidewalks;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_sidewalks = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__sizefactor + 1, option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_sizefactor = argument;
          else if (++i < argc)
            options->arg_sizefactor = argv [i];
          else
          {
            option = optstr__sizefactor;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_sizefactor = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__solver + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_solver = argument;
          else if (++i < argc)
            options->arg_solver = argv [i];
          else
          {
            option = optstr__solver;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_solver = 1;
          break;
        }
        if (::std::strncmp (option + 1, "tat", option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          options->arg_stat = argument;
          options->opt_stat = 1;
          break;
        }
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
       case 't':
        if (::std::strncmp (option + 1, optstr__temperature + 1, option_len - 1) == 0)
        {
          if (option_len <= 4)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_temperature = argument;
          else if (++i < argc)
            options->arg_temperature = argv [i];
          else
          {
            option = optstr__temperature;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_temperature = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__tempfactor + 1, option_len - 1) == 0)
        {
          if (option_len <= 4)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_tempfactor = argument;
          else if (++i < argc)
            options->arg_tempfactor = argv [i];
          else
          {
            option = optstr__tempfactor;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_tempfactor = 1;
          break;
        }
        if (::std::strncmp (option + 1, "est", option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          options->arg_test = argument;
          options->opt_test = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__time + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_time = argument;
          else if (++i < argc)
            options->arg_time = argv [i];
          else
          {
            option = optstr__time;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_time = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__tl + 1, option_len - 1) == 0)
        {
          if (option_len < 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_tl = argument;
          else if (++i < argc)
            options->arg_tl = argv [i];
          else
          {
            option = optstr__tl;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_tl = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__tl1 + 1, option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_tl1 = argument;
          else if (++i < argc)
            options->arg_tl1 = argv [i];
          else
          {
            option = optstr__tl1;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_tl1 = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__tl2 + 1, option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_tl2 = argument;
          else if (++i < argc)
            options->arg_tl2 = argv [i];
          else
          {
            option = optstr__tl2;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_tl2 = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__tltype + 1, option_len - 1) == 0)
        {
          if (option_len <= 2)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_tltype = argument;
          else if (++i < argc)
            options->arg_tltype = argv [i];
          else
          {
            option = optstr__tltype;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_tltype = 1;
          break;
        }
        if (::std::strncmp (option + 1, optstr__trialnum + 1, option_len - 1) == 0)
        {
          if (option_len <= 1)
            throw ::std::runtime_error (STR_ERR_LONG_OPT_AMBIGUOUS);
          if (argument != 0)
            options->arg_trialnum = argument;
          else if (++i < argc)
            options->arg_trialnum = argv [i];
          else
          {
            option = optstr__trialnum;
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_LONG);
          }
          options->opt_trialnum = 1;
          break;
        }
       default:
        throw ::std::runtime_error (STR_ERR_UNKNOWN_LONG_OPT);
      }
    }
    else
      do
      {
        switch (*option)
        {
         case 'K':
          if (option [1] != '\0')
            options->arg_finalk = option + 1;
          else if (++i < argc)
            options->arg_finalk = argv [i];
          else
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_SHORT);
          option = "\0";
          options->opt_finalk = 1;
          break;
         case 'c':
          if (option [1] != '\0')
          {
            options->arg_config = option + 1;
            option = "\0";
          }
          else
            options->arg_config = 0;
          options->opt_config = 1;
          break;
         case 'f':
          if (option [1] != '\0')
            options->arg_filestart = option + 1;
          else if (++i < argc)
            options->arg_filestart = argv [i];
          else
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_SHORT);
          option = "\0";
          options->opt_filestart = 1;
          break;
         case 'h':
          options->opt_help = 1;
          return i + 1;
         case 'i':
          if (option [1] != '\0')
            options->arg_file = option + 1;
          else if (++i < argc)
            options->arg_file = argv [i];
          else
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_SHORT);
          option = "\0";
          options->opt_file = 1;
          break;
         case 'k':
          if (option [1] != '\0')
            options->arg_initk = option + 1;
          else if (++i < argc)
            options->arg_initk = argv [i];
          else
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_SHORT);
          option = "\0";
          options->opt_initk = 1;
          break;
         case 'm':
          if (option [1] != '\0')
            options->arg_max = option + 1;
          else if (++i < argc)
            options->arg_max = argv [i];
          else
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_SHORT);
          option = "\0";
          options->opt_max = 1;
          break;
         case 'n':
          if (option [1] != '\0')
            options->arg_num = option + 1;
          else if (++i < argc)
            options->arg_num = argv [i];
          else
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_SHORT);
          option = "\0";
          options->opt_num = 1;
          break;
         case 'o':
          if (option [1] != '\0')
            options->arg_out = option + 1;
          else if (++i < argc)
            options->arg_out = argv [i];
          else
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_SHORT);
          option = "\0";
          options->opt_out = 1;
          break;
         case 'p':
          if (option [1] != '\0')
          {
            options->arg_parameters = option + 1;
            option = "\0";
          }
          else
            options->arg_parameters = 0;
          options->opt_parameters = 1;
          break;
         case 'r':
          if (option [1] != '\0')
            options->arg_runner = option + 1;
          else if (++i < argc)
            options->arg_runner = argv [i];
          else
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_SHORT);
          option = "\0";
          options->opt_runner = 1;
          break;
         case 's':
          if (option [1] != '\0')
            options->arg_seed = option + 1;
          else if (++i < argc)
            options->arg_seed = argv [i];
          else
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_SHORT);
          option = "\0";
          options->opt_seed = 1;
          break;
         case 't':
          if (option [1] != '\0')
            options->arg_time = option + 1;
          else if (++i < argc)
            options->arg_time = argv [i];
          else
            throw ::std::runtime_error (STR_ERR_MISSING_ARG_SHORT);
          option = "\0";
          options->opt_time = 1;
          break;
         default:
          throw ::std::runtime_error (STR_ERR_UNKNOWN_SHORT_OPT);
        }
      } while (*++option != '\0');
  }
  return i;
}

void Control::ComParser(int argc, char** argv )
  {
    struct options OPT;

    const char *progname;

  progname = argv [0] != 0 && *(argv [0]) != '\0'
    ? argv [0]
    : "gcp";

  try
    {
      int i = parse_options (&OPT, argc, argv);

      if (OPT.opt_help)
	{
	  //Usage();
	   std::cout << "Usage: " << progname
                             << " [OPTION]... [ARGUMENT]...\n\n"
                             << "Options:\n" STR_HELP;
	  exit(1);
	}

      if(OPT.opt_parameters)
    	{
    	  if (OPT.arg_parameters)
        	  parset->paramsetWrite(OPT.arg_parameters, TRUE, FALSE);
    	  else
        	  parset->paramsetWrite(NULL, TRUE, FALSE);
    	  exit(EXIT_SUCCESS);
    	}


      if(OPT.opt_sahelp)
	{
	  SAUsage();
	  exit(1);
	}

       if(OPT.opt_morehelp)
	{
	  Usage();
	  exit(1);
	}

      if(i <= 1)
	{
	  //Usage();
	   std::cout << "Usage: " << progname
                             << " [OPTION]... [ARGUMENT]...\n\n"
                             << "Options:\n" STR_HELP;
	   exit(1);
	}


      if (OPT.opt_config)
      {
    	  if (OPT.arg_config)
    		  param_set_file = OPT.arg_config;
    	  else
    		  param_set_file=DEFAULT_PARAM_SET_FILE;
    	  parset->paramsetRead(param_set_file);
      }
      else
    	  param_set_file =NULL;


      if (OPT.opt_file)
	{
	  is = OPT.arg_file;
	}
      else
	{
	  cerr<<"Instance file missing!\n"<<endl;
	  exit(1);
	}

      if(OPT.opt_out)
	{
	  os = new ofstream(OPT.arg_out);
	} else {
	  //cerr << "Warning: No output file given, writing to stdout" << endl;
	  os = &cout;
	}

      if(OPT.opt_filestart)
	{
	ss = (OPT.arg_filestart);
	}
      else {
	//cerr << "No starting solution file given" << endl;
      }

      if(OPT.opt_num)
	{
	  maxTry = atoi(OPT.arg_num);
	} else {
	  //cerr << "Warning: Number of tries is set to default (1)" << endl;
	}

      if(OPT.opt_time)
	{
	  timeLimit = atof(OPT.arg_time);
	} else {
	  //cerr << "Warning: Time limit is set to default DBL_MAX" << endl;
	}

      if(OPT.opt_max)
	{
	 	    max_iter = atoi(OPT.arg_max);
	} else {
	  //cerr << "Warning: Max iter is set to very large number (LONG_MAX)"<<endl;
	}


      if(OPT.opt_idle)
   	{
   	    max_idle = atoi(OPT.arg_idle);
   	}
      else
   	    {
   	  //cerr << "Warning: Max iter is set to very large number (LONG_MAX)"<<endl;
   	}


       if(OPT.opt_seed)
	{
	  seed = atoi(OPT.arg_seed);
	  rg->set_seed( seed );
	} else {
	  //cerr << "Warning: " << seed << " used as default random seed" << endl;
	}

      if(OPT.opt_init) {
	init = atoi(OPT.arg_init);
      } else {
	//cerr << "Warning: init not set" << endl;
      }

      if(OPT.opt_runner)
	{
	  runner = atoi(OPT.arg_runner);
	} else {
	  //cerr << "Warning: runner not set" << endl;
	}

      if(OPT.opt_solver)
	{
	  solver = atoi(OPT.arg_solver);
	} else {
		//cerr << "Warning: solver not set" << endl;
	}

      if(OPT.opt_stat)
	{
	  print_statistics = true;
	}

      if(OPT.opt_red)
	{
	  reduction = true;
	} else
	  reduction = false;


      if(OPT.opt_force)
	{
	  force_if_disconnected = true;
	} else
	  force_if_disconnected = false;


      if(OPT.opt_certificate)
	{
	  os_certificate = OPT.arg_certificate;
	  certificate = true;
	}


      if(OPT.opt_initk)
	{
	  k = atoi(OPT.arg_initk);
	} else {
	  //cerr << "Warning: No initial color set" << endl;
	}

      if (OPT.opt_finalk)
	{
	  finalK = atoi(OPT.arg_finalk);
	} else {
	  //cerr << "Warning: No initial color set" << endl;
	}


      if(OPT.opt_lowerbound)  {
	lower_bound = atoi(OPT.arg_lowerbound);
      } else {
	//cerr << "Warning: No lower bound set" << endl;
      }

      if(OPT.opt_decr)
	{
	  decr = atoi(OPT.arg_decr);
	  //cout<<proc<<endl;
	} else {
	  //cerr << "Warning: decr not set" << endl;
	}

      if(OPT.opt_alpha)
	{
	  alpha = atof(OPT.arg_alpha);
	} else {
	}

	  if( OPT.opt_tltype)
	{
	  tltype =  atoi( OPT.arg_tltype);
	} else {
	  //cerr << "Warning: tltype parameter not set" << endl;
	}

	  if( OPT.opt_tl)
	{
	  tl =  atoi( OPT.arg_tl);
	} else {
	  //cerr << "Warning: tl parameter not set" << endl;
	}

	  if(OPT.opt_tl1)
	{
	  tl1 = atoi(OPT.arg_tl1);
	} else {
	}

	  if(OPT.opt_tl2)
	{
	  tl2 = atoi(OPT.arg_tl2);
	} else {
	}

	  if(OPT.opt_invtype)
	{
	  invtype = atoi(OPT.arg_invtype);
	}

      if(OPT.opt_restart)
	{
	  max_restart = atoi(OPT.arg_restart);
	} else {
	}

      if(OPT.opt_lsiter)
	{
	  ls_iter = atoi(OPT.arg_lsiter);
	} else {
	  //cerr << "Warning: lsiter not set" << endl;
	}

      if(OPT.opt_lambda)
	{
	  lambda = atof(OPT.arg_lambda);
	} else {
	  //cerr << "Warning: lambda parameter not set" << endl;
	}

       if(OPT.opt_sidewalks)
	{
	  sidewalks = atoi(OPT.arg_sidewalks);
	} else {
	  //cerr << "Warning: lambda parameter not set" << endl;
	}

      if(OPT.opt_gamma)
	{
	  gamma =  atof(OPT.arg_gamma);
	} else {
	  //cerr << "Warning: gamma parameter not set" << endl;
	}

      if(OPT.opt_pert)
	{
	  pert =  atoi(OPT.arg_pert);
	} else {
	  //cerr << "Warning: pert parameter not set" << endl;
	}



      if(OPT.opt_ilsprob)
	{
	  ilsprob =  atof(OPT.arg_ilsprob);
	} else {
	  //cerr << "Warning: prob parameter not set" << endl;
	}



      if(OPT.opt_prob)
	{
	  prob = atof(OPT.arg_prob);
	} else {
	  //cerr << "Warning: prob parameter not set" << endl;
	}

       if(OPT.opt_candnum)
	{
	  cand_num = atoi(OPT.arg_candnum);
	} else {
	  //cerr << "Warning: candnum parameter not set; cand_num = 50" << endl;
	}

       if(OPT.opt_setlim)
	{
	  set_lim = atoi(OPT.arg_setlim);
	} else {
	  //cerr << "Warning: setlim parameter not set; set_lim = 63" << endl;
	}

      if(OPT.opt_trialnum)
	{
	  trial_num =  atoi(OPT.arg_trialnum);
	} else {
	  //cerr << "Warning: trial_num parameter not set; trial_num = 160" << endl;
	}

      if(OPT.opt_exactlim)
	{
	  exact_lim = atoi(OPT.arg_exactlim);
	} else {
	  //cerr << "Warning: exact_lim parameter not set; exact_lim = 70" << endl;
	}





      if(OPT.opt_temperature)
	{
	  temperature = atoi(OPT.arg_temperature);
	} else {
	  //cerr << "Warning: sa parameter not set" << endl;
	}

      if(OPT.opt_cutoff)
	{
	  cutoff = atof(OPT.arg_cutoff);
	} else {
	  //cerr << "Warning: sa parameter not set" << endl;
	}

      if(OPT.opt_minpercent)
	{
	  minpercent = atof(OPT.arg_minpercent);
	    } else {
	      //cerr << "Warning: sa parameter not set" << endl;
	    }

      if(OPT.opt_freezelim)
	{
	  freeze_lim = atoi(OPT.arg_freezelim);
	  //cout<<proc<<endl;
	} else {
	  //cerr << "Warning: sa parameter not set" << endl;
	}

      if(OPT.opt_tempfactor)
	{
	  tempfactor = atof(OPT.arg_tempfactor);
	  //cout<<proc<<endl;
	} else {
	  //cerr << "Warning: sa parameter not set" << endl;
	}

      if(OPT.opt_sizefactor)
	{
	  sizefactor = atof(OPT.arg_sizefactor);
	} else {
	  //cerr << "Warning: sa parameter not set" << endl;
	}

  }
  catch (std::runtime_error e)
    {
      std::cerr << progname << ": " << e.what () << "\n"
	"Try `" << progname
		<< " --help' for more information.\n";
      exit(1);
    }
  }
