/*
 * Move.h
 *
 *  Created on: Jul 22, 2010
 *      Author: marco
 */

#ifndef MOVE_H_
#define MOVE_H_

#include "Solution.h"

//
enum MoveType {
	NOT_DEFINED=0,
	ONE_EX = 1, //(0-node 1-new-col)
	CYCLE_EX = 2,
	PATH_EX = 3,
	KEMPE_EX = 4,
	PEN_ONE_EX = 5,
	SWAP = 6,
	I_SWAP = 7 // 0-node 1-new-col, others until -1 are nodes to move into impasse class
};
typedef enum MoveType MOVETYPE;


class ColMove
{
 public:
  friend std::ostream& operator<<(std::ostream&, const ColMove&);
  ColMove();
  ColMove(const ColMove &a);
  ColMove& operator=(const ColMove &a);
  bool operator==(const ColMove &a);
  bool operator<(const ColMove &a) const {return seq[0]<a.seq[0];};
  vector<int> seq;
  MOVETYPE type;
  fvalue delta;
};


struct lessMove
{
  bool operator() (const ColMove &a, const ColMove &b) const
  {
    return a<b;
  }
};

#endif /* MOVE_H_ */
